/* A program showing off the basics of array operations. */

import acm.program.*;
public class SimpleArrays extends ConsoleProgram {
	public void run() {
		/* Create an array of size 5. Should I be using a constant here? You bet! */
		int[] arr = new int[5];
		fillArray(arr);
		
		for (int i = 0; i < arr.length; i++) {
			println("Element " + i + " is equal to " + arr[i]);
		}
	}
	
	/**
	 * Given an array of ints, sets each element in the array equal to its position.
	 *
	 * @param arr The array to fill.
	 */
	private void fillArray(int[] arr) {
		for (int i = 0; i < arr.length; i++) {
			arr[i] = i;
		}
	}
}
